summaryrefslogtreecommitdiffstats
path: root/packaging/installer/netdata-updater.sh
diff options
context:
space:
mode:
authorAustin S. Hemmelgarn <austin@netdata.cloud>2020-01-14 07:45:57 -0500
committerGitHub <noreply@github.com>2020-01-14 07:45:57 -0500
commitcc0de9f292c4bc1e91a8ec27114624c3b4e8becf (patch)
tree79a73aa59833d4eb02ca5b1811dbb4ddc89d2677 /packaging/installer/netdata-updater.sh
parent51e6a41ab140daeaefdbeb1349ac098aa97145ce (diff)
Make auto-updates work on kickstart-static64 installs. (#7704)
* Store only the options for reinstall, not the full command. This simplifies handling of updates with the static installer. * Properly utilize the updater for static installs. * Disable auto-updater when using local files. If using local files, we can probably assume a system without a network connection, so don't enable the auto-updater. * Document support for auto-updates from kickstart-static64 * Fix infinite loop in auto-update option. * Update kickstart-static64 checksum in docs. * Remove unnecessary `sed` argument. Co-Authored-By: Konstantinos Natsakis <5933427+knatsakis@users.noreply.github.com> Co-authored-by: Konstantinos Natsakis <5933427+knatsakis@users.noreply.github.com>
Diffstat (limited to 'packaging/installer/netdata-updater.sh')
-rwxr-xr-xpackaging/installer/netdata-updater.sh8
1 files changed, 5 insertions, 3 deletions
diff --git a/packaging/installer/netdata-updater.sh b/packaging/installer/netdata-updater.sh
index b24cee6c9f..023f0de7cf 100755
--- a/packaging/installer/netdata-updater.sh
+++ b/packaging/installer/netdata-updater.sh
@@ -7,8 +7,9 @@
# - PATH
# - CFLAGS
# - LDFLAGS
+# - IS_NETDATA_STATIC_BINARY
# - NETDATA_CONFIGURE_OPTIONS
-# - REINSTALL_COMMAND
+# - REINSTALL_OPTIONS
# - NETDATA_TARBALL_URL
# - NETDATA_TARBALL_CHECKSUM_URL
# - NETDATA_TARBALL_CHECKSUM
@@ -141,8 +142,9 @@ update() {
do_not_start="--dont-start-it"
fi
+ echo "${REINSTALL_OPTIONS}"
info "Re-installing netdata..."
- eval "${REINSTALL_COMMAND} --dont-wait ${do_not_start}" >&3 2>&3 || fatal "FAILED TO COMPILE/INSTALL NETDATA"
+ eval "./netdata-installer.sh ${REINSTALL_OPTIONS} --dont-wait ${do_not_start}" >&3 2>&3 || fatal "FAILED TO COMPILE/INSTALL NETDATA"
# We no longer store checksum info here. but leave this so that we clean up all environment files upon next update.
sed -i '/NETDATA_TARBALL/d' "${ENVIRONMENT_FILE}"
@@ -201,7 +203,7 @@ if [ "${IS_NETDATA_STATIC_BINARY}" == "yes" ]; then
fi
# Do not pass any options other than the accept, for now
- sh "${TMPDIR}/netdata-latest.gz.run" --accept
+ sh "${TMPDIR}/netdata-latest.gz.run" --accept ${REINSTALL_OPTIONS}
#shellcheck disable=SC2181
if [ $? -eq 0 ]; then